# Copyright 1999-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

S="${WORKDIR}/lrmi-${PV}"

DESCRIPTION="Utility to display and test VESA BIOS Extensions (VBE) modes."
HOMEPAGE="http://www.sourceforge.net/projects/lrmi/"
SRC_URI="mirror://sourceforge/lrmi/lrmi-${PV}.tar.gz"

LICENSE="MIT"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE="+lrmi"

DEPEND="lrmi? ( =sys-libs/lrmi-${PV}* )
	!lrmi? ( dev-libs/libx86 )"

src_unpack() {
	unpack "${A}"
	cd "${S}"

	if ! use lrmi ; then
		epatch "${FILESDIR}/${PN}-libx86.patch"
	else
		epatch "${FILESDIR}/${PN}-sharedlrmi.patch"
	fi
}

src_compile() {
	emake CFLAGS="${CFLAGS}" vbetest || die
}

src_install() {
	dobin vbetest || die "dobin"
}
